%global provider	github
%global provider_tld	com
%global project		skratchdot
%global repo		open-golang
%global commit		ba570a111973b539baf23c918213059543b5bb6e

%global import_path	%{provider}.%{provider_tld}/%{project}/%{repo}
%global shortcommit	%(c=%{commit}; echo ${c:0:7})
%global debug_package	%{nil}

Name:		golang-%{provider}-%{project}-%{repo}
Version:	0
Release:	0.1.git%{shortcommit}%{?dist}
Summary:	Open a file, directory, or URI using the OS's default application
License:	MIT
URL:		http://%{import_path}
Source0:	https://%{provider}.%{provider_tld}/%{project}/%{repo}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
BuildArch:	noarch

%description
%{summary}.

%package devel
BuildRequires:	golang >= 1.2.1-3
Requires:	golang >= 1.2.1-3
Summary:	Open a file, directory, or URI using the OS's default application
Provides:	golang(%{import_path}) = %{version}-%{release}
Provides:	golang(%{import_path}/open) = %{version}-%{release}

%description devel
%{summary}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/open
cp -pav open/*.go %{buildroot}/%{gopath}/src/%{import_path}/open

%check
# test wants firefox => unnecesary dependency

%files devel
%doc LICENSE-MIT README.md
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%dir %{gopath}/src/%{import_path}
%dir %{gopath}/src/%{import_path}/open
%{gopath}/src/%{import_path}/open/*.go

%changelog
* Tue Oct 14 2014 Eric Paris <eparis@redhat.com - 0-0.1.gitba570a1
- Bump to upstream ba570a111973b539baf23c918213059543b5bb6e
